DCIODVFY(1)

NAME
dciodvfy - ACR/NEMA DICOM PS3 ... DICOM PS3 - Validate DICOM objects

SYNOPSIS

dciodvfy [ -profile profilename ] [ -describe ] [ -dump ] [ -v|verbose ] [ -filename ]

DESCRIPTION

dciodvfy reads the named dicom file and describes the type of information object (SOP class instance) contained therein, validating it against the standard and checking for required modules and attributes, and appropriate representation and values of attributes.

OPTIONS
The description and verbose output go to standard error.

Binary attributes are written in hexadecimal with a preceding "0x". Numeric string attributes are written in decimal. Attribute values are displayed in hexadecimal or string format as determined by the value representation.

The basic input switches are described in dcintro(1). Options specific to this program are:

-profile profilename
    Validate not against the standard but the IOD matching the named profile.

-describe
    Describe the contents of the object without getting too verbose.

-dump
    Dump the attribute list; differs from dcdump in that the list is decorated with whether or not the attribute is used in the IOD and what information entity the attribute belongs to based on the IOD.

-verbose
    Display byte offset from file start and message start, in hexadecimal, and dump contents while reading and once read.

-filename
    Show the name of the file supplied in the arguments; a hyphen will be reported if no filename was supplied.

ENVIRONMENT

EXAMPLES

% dciodvfy test.dc3
Warning - Value dubious for this VR - (0x0008,0x0090) ...
            Retired Person Name form
MRImage
Error - Missing attribute Type 1 Required ...
          Element=<FileMetaInformationVersion> Module=...
% dciodvfy -describe test.dc3
Warning - Value dubious for this VR - (0x0008,0x0090) ...
            Retired Person Name form
MRImage
Error - Missing attribute Type 1 Required ...
          Element=<FileMetaInformationVersion> Module=...
        CompositeIOD <MRImage>
        Module <FileMetaInformation>
 ...
                (0x0002,0x0010) UI Transfer Syntax UID ...
        Module <Patient>
                (0x0010,0x0010) PN Patient's Name ...

FILES

SEE ALSO
dcentvfy(1), dcdump(1), dcfile(1), dcintro(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS